package com.chenyang.druid.sql.dialect.dm.ast.stmt;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmLabelStatement extends DmStatementImpl {
   private SQLName label;

   public DmLabelStatement() {
   }

   public DmLabelStatement(SQLName label) {
      this.label = label;
   }

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.label);
      }

      visitor.endVisit(this);
   }

   public SQLName getLabel() {
      return this.label;
   }

   public void setLabel(SQLName label) {
      this.label = label;
   }
}
